Package org.eclipse.lemminx.services

## Interface IXMLNotificationService

All Known Implementing Classes:
  `XMLLanguageServer`

    public interface IXMLNotificationService

Notification service API

### Method Summary

All Methods Instance Methods Abstract Methods
`SharedSettings` `getSharedSettings()` Returns the current SharedSettings instance

`void`

`sendNotification​(String message, org.eclipse.lsp4j.MessageType messageType, org.eclipse.lsp4j.Command... commands)`

Sends a notification to the client with the provided `message` If the client supports actionable notifications, the provided `commands` will be provided alongside the notification See `ActionableNotification` and `XMLLanguageClientAPI.actionableNotification(org.eclipse.lemminx.customservice.ActionableNotification)`

### Method Detail

#### sendNotification

    void sendNotification​(String message,
                          org.eclipse.lsp4j.MessageType messageType,
                          org.eclipse.lsp4j.Command... commands)

Sends a notification to the client with the provided `message` If the client supports actionable notifications, the provided `commands` will be provided alongside the notification See `ActionableNotification` and `XMLLanguageClientAPI.actionableNotification(org.eclipse.lemminx.customservice.ActionableNotification)`

Parameters:
  `message` - the message to send
  `messageType` - the message type
  `commands` - the commands to send alongside the notification

#### getSharedSettings

    SharedSettings getSharedSettings()

Returns the current SharedSettings instance

Returns:
  the current SharedSettings instance